<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    <script type="text/javascript">
    function loadExternalCodeSnippets() {
        Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach(function (pre) {
            var src = pre.getAttribute('data-src');
            var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
            var language = 'php';

            var code = document.createElement('code');
            code.className = 'language-' + language;

            pre.textContent = '';

            code.textContent = 'Loading…';

            pre.appendChild(code);

            var xhr = new XMLHttpRequest();

            xhr.open('GET', src, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {

                    if (xhr.status < 400 && xhr.responseText) {
                        code.textContent = xhr.responseText;

                        Prism.highlightElement(code);
                    }
                    else if (xhr.status >= 400) {
                        code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                    }
                    else {
                        code.textContent = '✖ Error: File does not exist or is empty';
                    }
                }
            };

            xhr.send(null);
        });
    }

    $(document).ready(function(){
        loadExternalCodeSnippets();
    });
    $('#source-view').on('shown', function () {
        loadExternalCodeSnippets();
    })
</script>

    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">147</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-148474630"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-148474630" class="accordion-body collapse in">
                <div class="accordion-inner">

                    
                    <ul>
                                                                                                    <li class="class"><a href="../classes/Competence.html">Competence</a></li>
                                                    <li class="class"><a href="../classes/CompetencesManager.html">CompetencesManager</a></li>
                                                    <li class="class"><a href="../classes/HomeSection.html">HomeSection</a></li>
                                                    <li class="class"><a href="../classes/HomesectionManager.html">HomesectionManager</a></li>
                                                    <li class="class"><a href="../classes/Manager.html">Manager</a></li>
                                                    <li class="class"><a href="../classes/Profil.html">Profil</a></li>
                                                    <li class="class"><a href="../classes/ProfilManager.html">ProfilManager</a></li>
                                                    <li class="class"><a href="../classes/Project.html">Project</a></li>
                                                    <li class="class"><a href="../classes/ProjectsManager.html">ProjectsManager</a></li>
                                                    <li class="class"><a href="../classes/Skill.html">Skill</a></li>
                                                    <li class="class"><a href="../classes/SkillsManager.html">SkillsManager</a></li>
                                                    <li class="class"><a href="../classes/SocialMedia.html">SocialMedia</a></li>
                                                    <li class="class"><a href="../classes/SocialMediasManager.html">SocialMediasManager</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content class">
                    <nav>
                                                <a href="../namespaces/default.html">\</a> <i class="icon-level-up"></i>
                                            </nav>
                    <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal"><i class="icon-code"></i></a>

                    <h1><small>\</small>SocialMediasManager</h1>
                    <p><em>manage socialmedia table in a database</em></p>
                    <p>/!\ just one line in the table</p>
                    
                                        
                    <section id="summary">
                        <h2>Summary</h2>
                        <section class="row-fluid heading">
                            <section class="span4">
                                <a href="#methods">Methods</a>
                            </section>
                            <section class="span4">
                                <a href="#properties">Properties</a>
                            </section>
                            <section class="span4">
                                <a href="#constants">Constants</a>
                            </section>
                        </section>
                        <section class="row-fluid public">
                            <section class="span4">
                                                                    <a href="../classes/Manager.html#method___construct" class="">__construct()</a><br />
                                                                    <a href="../classes/Manager.html#method_connect" class="">connect()</a><br />
                                                                    <a href="../classes/Manager.html#method_selectAllFrom" class="">selectAllFrom()</a><br />
                                                                    <a href="../classes/Manager.html#method_selectAllNamesFrom" class="">selectAllNamesFrom()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_deleteByName" class="">deleteByName()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_deleteById" class="">deleteById()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_selectByName" class="">selectByName()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_selectById" class="">selectById()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_add" class="">add()</a><br />
                                                                    <a href="../classes/SocialMediasManager.html#method_update" class="">update()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No public properties found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No constants found</em>
                                                            </section>
                        </section>
                        <section class="row-fluid protected">
                            <section class="span4">
                                                                    <em>No protected methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <a href="../classes/Manager.html#property__host" class="">$_host</a><br />
                                                                    <a href="../classes/Manager.html#property__db" class="">$_db</a><br />
                                                                    <a href="../classes/Manager.html#property__user" class="">$_user</a><br />
                                                                    <a href="../classes/Manager.html#property__pass" class="">$_pass</a><br />
                                                                    <a href="../classes/Manager.html#property__dbh" class="">$_dbh</a><br />
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                        <section class="row-fluid private">
                            <section class="span4">
                                                                    <em>No private methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No private properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                    </section>
                </div>
                <aside class="span4 detailsbar">
                                                                <span class="label label-info">final</span>
                    
                    
                    <dl>
                        <dt>File</dt>
                            <dd><a href="../files/phpClassesManagers.SocialMediasManager.html"><div class="path-wrapper">phpClassesManagers\SocialMediasManager.php</div></a></dd>
                                                <dt>Package</dt>
                            <dd><div class="namespace-wrapper">Default</div></dd>
                                                <dt>Class hierarchy</dt>
                            <dd class="hierarchy">
                                                                                                                                                                                                                                                                                                
                                        <div class="namespace-wrapper"><a href="../classes/Manager.html">\Manager</a></div>
                                                                                                    <div class="namespace-wrapper">\SocialMediasManager</div>
                            </dd>

                        
                        
                        
                        
                                                                        </dl>
                    <h2>Tags</h2>
                    <table class="table table-condensed">
                                            <tr><td colspan="2"><em>None found</em></td></tr>
                                        </table>
                </aside>
            </div>

                        
                                    <a id="properties" name="properties"></a>
            <div class="row-fluid">
                <div class="span8 content class">
                    <h2>Properties</h2>
                </div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__host" name="property__host" class="anchor"></a>
            <article class="property">
                <h3 class="protected ">$_host</h3>
                <pre class="signature">$_host : </pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__db" name="property__db" class="anchor"></a>
            <article class="property">
                <h3 class="protected ">$_db</h3>
                <pre class="signature">$_db : </pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__user" name="property__user" class="anchor"></a>
            <article class="property">
                <h3 class="protected ">$_user</h3>
                <pre class="signature">$_user : </pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__pass" name="property__pass" class="anchor"></a>
            <article class="property">
                <h3 class="protected ">$_pass</h3>
                <pre class="signature">$_pass : </pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property__dbh" name="property__dbh" class="anchor"></a>
            <article class="property">
                <h3 class="protected ">$_dbh</h3>
                <pre class="signature">$_dbh : </pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                
                                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                            
                                    <a id="methods" name="methods"></a>
            <div class="row-fluid">
                <div class="span8 content class"><h2>Methods</h2></div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method___construct" name="method___construct" class="anchor"></a>
            <article class="method">
                <h3 class="public ">__construct()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">__construct(string  <span class="argument">$host</span>, string  <span class="argument">$db</span>, string  <span class="argument">$user</span>, string  <span class="argument">$pass</span>) : void</pre>
                <p><em>set all the attribute</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$host </td>
                                <td><p>name of the host for the database</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$db </td>
                                <td><p>name of the database</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$user </td>
                                <td><p>username</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$pass </td>
                                <td><p>password</p></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_connect" name="method_connect" class="anchor"></a>
            <article class="method">
                <h3 class="public ">connect()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">connect() : void</pre>
                <p><em>connection to the data base by using the PDO object</em></p>
                

                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_selectAllFrom" name="method_selectAllFrom" class="anchor"></a>
            <article class="method">
                <h3 class="public ">selectAllFrom()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">selectAllFrom(string  <span class="argument">$tableName</span>) : array</pre>
                <p><em>select all table from $tableName</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$tableName </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                                    <h4>Returns</h4>
                    array
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_selectAllNamesFrom" name="method_selectAllNamesFrom" class="anchor"></a>
            <article class="method">
                <h3 class="public ">selectAllNamesFrom()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">selectAllNamesFrom(string  <span class="argument">$tableName</span>) : array</pre>
                <p><em>select all names from $tableName</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$tableName </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                                    <h4>Returns</h4>
                    array
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                    <dt>Inherited from</dt>
                    <dd><a href="../classes/Manager.html"><div class="path-wrapper">\Manager</div></a></dd>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_deleteByName" name="method_deleteByName" class="anchor"></a>
            <article class="method">
                <h3 class="public ">deleteByName()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">deleteByName(string  <span class="argument">$name</span>) : void</pre>
                <p><em>deleteByName</em></p>
                <p>-add
-update</p>

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$name </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_deleteById" name="method_deleteById" class="anchor"></a>
            <article class="method">
                <h3 class="public ">deleteById()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">deleteById(string  <span class="argument">$id</span>) : void</pre>
                <p><em>deleteById</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$id </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_selectByName" name="method_selectByName" class="anchor"></a>
            <article class="method">
                <h3 class="public ">selectByName()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">selectByName(string  <span class="argument">$name</span>) : \SocialMedia</pre>
                <p><em>selectByName</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$name </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                                    <h4>Returns</h4>
                    <a href="../classes/SocialMedia.html">\SocialMedia</a>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_selectById" name="method_selectById" class="anchor"></a>
            <article class="method">
                <h3 class="public ">selectById()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">selectById(string  <span class="argument">$id</span>) : \SocialMedia</pre>
                <p><em>selectByName</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$id </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                                    <h4>Returns</h4>
                    <a href="../classes/SocialMedia.html">\SocialMedia</a>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_add" name="method_add" class="anchor"></a>
            <article class="method">
                <h3 class="public ">add()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">add(string  <span class="argument">$name</span>, string  <span class="argument">$websiteLink</span>, string  <span class="argument">$logoLink</span>) </pre>
                <p><em>add a socialmedia in the database</em></p>
                <p>note : when calling the function : use a try catch
to perform an error handling</p>

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$name </td>
                                <td><p>name of your socialmedia</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$websiteLink </td>
                                <td><p>website link</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$logoLink </td>
                                <td><p>link to the logo (image)</p></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_update" name="method_update" class="anchor"></a>
            <article class="method">
                <h3 class="public ">update()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">update(\SocialMedia  <span class="argument">$socialmedia</span>) : void</pre>
                <p><em>update a socialmedia in the database from the object</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td><a href="../classes/SocialMedia.html">\SocialMedia</a></td>
                                <td>$socialmedia </td>
                                <td></td>
                            </tr>
                                            </table>
                
                
Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

Warning: count(): Parameter must be an array or an object that implements Countable in phar://D:/phpDocumentor.phar/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1293

                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                                                    </div>
    </section>

    <div id="source-view" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="source-view-label" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="source-view-label">SocialMediasManager.php</h3>
        </div>
        <div class="modal-body">
            <pre data-src="../files/phpClassesManagers\SocialMediasManager.php.txt" class="language-php line-numbers"></pre>
        </div>
    </div>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on January 20th, 2019 at 22:54.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
